Subject: g++ question: 'smanip' error message
From: [email-masked] (Albert Koelmans)

3 Jun 1998 12:54:07 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (GNU win32 mailing list)

I am trying to compile someone else's C++ code. Everything goes well until
the link phase, when I get the error message

  undefined reference to 'operator<<(ostream &, smanip<int> const &)'

This operator appears to be present in libstdc++.a, but linking with this
library makes no difference. Any pointers greatly appreciated - I'm no C++
guru and I'm stumped.

Thanks

Albert

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".